Custom query not saving status filter

2011-08-23 14:44 - Cassiano Monteiro

Status: Closed Start date: 2011-08-23

Priority: Normal Due date:  

Assignee: Etienne Massip % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version: 1.2.1

Description

When creating a custom query, its default is to save the Status filter to "open", disregarding whether I disable it to get all statuses. In

order to create this custom query properly, I have to save it, and after that change the status filter again.

To reproduce:

1. Go to issues list and click "Save" to create a custom query.

2. Uncheck the "Status" filter, so it would show all statuses, and save the query.

3. Note that the query is STILL showing only issues with status "Open".

4. Edit the custom query and uncheck the "Status" filter again.

5. Note that the query is now showing all issues correctly, with no status filter.

I think that the expected behavior would save the unchecked "Status" filter on the first try.

My version is 1.1.1, but this also happened on the online demo.

Related issues:

Related to Redmine - Defect #9738: Setting of cross-project custom query is n... Closed

Related to Redmine - Defect #28264: Global and public custom queries are show... Closed

Associated revisions

Revision 7649 - 2011-10-24 22:19 - Etienne Massip

Refactor : convert queries to REST resources (also fixes #9108).

Revision 7656 - 2011-10-26 19:00 - Etienne Massip

Reverted removal of project assignment to query (#9108).

Revision 7657 - 2011-10-26 20:00 - Etienne Massip

Make queries resources fully conform to common behavior (removed additonal routes) (#9108).

Revision 7826 - 2011-11-17 20:47 - Etienne Massip

Updated permissions with newly added create and update actions (#9108).

History

#1 - 2011-08-23 17:05 - Etienne Massip

- Target version set to Candidate for next minor release

- Affected version (unused) changed from 1.1.1 to 1.2.1

- Affected version changed from 1.1.1 to 1.2.1

Indeed, in the New query screen, RM lists the Status field even if this one was unchecked.

Even if you can uncheck it again from this screen before you save the query, this does not happen to other fields, hence the bug.

Kind of same issue as #8411, I guess.

#2 - 2011-10-24 22:20 - Etienne Massip

- Status changed from New to Resolved
https://www.redmine.org/issues/8411


- Target version changed from Candidate for next minor release to 1.3.0

- Resolution set to Fixed

Should be fixed with r7649 which is too big to be included in a minor release.

#3 - 2011-10-25 09:02 - Etienne Massip

- Status changed from Resolved to 7

- Assignee set to Etienne Massip

- Resolution deleted (Fixed)

Ok, there is a big bug now with handling project, will fix it tonight.

#4 - 2011-10-26 20:03 - Etienne Massip

- Status changed from 7 to Resolved

- Resolution set to Fixed

Should be clean now with r7657.

#5 - 2011-10-26 21:49 - Mischa The Evil

Etienne Massip wrote:

Should be clean now with r7657.

 Confirmed!

#6 - 2011-10-26 22:55 - Etienne Massip

Mischa The Evil wrote:

Confirmed!

 Thanks. So glad to see you here again, Mischa =)

#7 - 2011-11-07 19:39 - Etienne Massip

- Status changed from Resolved to 7

Something must have gone wrong: Issue filter problem.

#8 - 2011-11-09 09:06 - Etienne Massip

- Status changed from 7 to Resolved

Etienne Massip wrote:

Something must have gone wrong: Issue filter problem.

 Finally, seems to be only plugin issues.

#9 - 2011-11-16 10:26 - Etienne Massip

- Status changed from Resolved to 7

There might be some remaining Queries permissions work to go in source:/trunk/lib/redmine.rb@7819#L81.

#10 - 2011-11-17 22:41 - Etienne Massip

- Status changed from 7 to Closed

#11 - 2011-12-07 09:16 - Etienne Massip

- Status changed from Closed to Reopened

- Resolution deleted (Fixed)
https://www.redmine.org/projects/redmine/repository/svn/revisions/7649
https://www.redmine.org/projects/redmine/repository/svn/revisions/7657
https://www.redmine.org/projects/redmine/repository/svn/revisions/7657
https://www.redmine.org/boards/2/topics/27227
https://www.redmine.org/boards/2/topics/27227
https://www.redmine.org/projects/redmine/repository/svn/revisions/7819/entry/trunk/lib/redmine.rb#L81


Still not fixed according to #9738.

#12 - 2011-12-07 22:40 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution set to Fixed

Not related to #9738 and it can not be reproduced.

#13 - 2011-12-07 23:06 - Etienne Massip

#9738 has appeared after the query refactoring committed for this issue.

#14 - 2018-03-01 08:25 - Marius BĂLTEANU

- Related to Defect #28264: Global and public custom queries are shown as editable to non administrators in projects added
